umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | List of all members
UMLTemplate Class Reference

Sets up template information. More...

`#include <template.h>`

Inheritance diagram for UMLTemplate:

## Public Member Functions
| UMLTemplate (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None, const QString &type=QLatin1String("class"))
| UMLTemplate (UMLObject *parent)
bool | operator== (const UMLTemplate &rhs) const
virtual void | copyInto (UMLObject *lhs) const
virtual UMLObject * | clone () const
virtual | ~UMLTemplate ()
QString | toString (Uml::SignatureType::Enum sig=Uml::SignatureType::NoSig, bool withStereotype=false)
virtual QString | getTypeName () const
virtual bool | showPropertiesDialog (QWidget *parent)
void | saveToXMI1 (QDomDocument &qDoc, QDomElement &qElement)
Public Member Functions inherited from UMLClassifierListItem
| UMLClassifierListItem (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None)
| UMLClassifierListItem (UMLObject *parent)
virtual | ~UMLClassifierListItem ()
virtual void | setType (UMLObject *type)
UMLClassifier * | getType () const
void | setTypeName (const QString &type)
Public Member Functions inherited from UMLObject
| UMLObject (const UMLObject &other)
| UMLObject (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None)
| UMLObject (UMLObject *parent)
| UMLObject (const QString &name=QString(), Uml::ID::Type id=Uml::ID::None)
virtual | ~UMLObject ()
bool | operator== (const UMLObject &rhs) const
virtual void | setBaseType (ObjectType ot)
ObjectType | baseType () const
QLatin1String | baseTypeStr () const
virtual void | setID (Uml::ID::Type NewID)
virtual Uml::ID::Type | id () const
QString | doc () const
bool | hasDoc () const
void | setDoc (const QString &d)
void | setVisibility (Uml::Visibility::Enum visibility)
void | setVisibilityCmd (Uml::Visibility::Enum visibility)
Uml::Visibility::Enum | visibility () const
void | setStereotype (const QString &_name)
void | setStereotypeCmd (const QString &_name)
QString | stereotype (bool includeAdornments=false) const
void | setUMLStereotype (UMLStereotype *stereo)
UMLStereotype * | umlStereotype ()
QString | package (const QString &separator=QString(), bool includeRoot=false)
UMLPackageList | packages (bool includeRoot=false) const
bool | setUMLPackage (UMLPackage *pPkg)
UMLPackage * | umlPackage () const
void | setUMLParent (UMLObject *parent)
UMLObject * | umlParent () const
virtual void | setName (const QString &strName)
virtual void | setNameCmd (const QString &strName)
QString | name () const
virtual QString | fullyQualifiedName (const QString &separator=QString(), bool includeRoot=false) const
void | setAbstract (bool bAbstract)
bool | isAbstract () const
virtual bool | resolveRef ()
virtual bool | loadFromXMI1 (QDomElement &element)
bool | loadStereotype (QDomElement &element)
void | setStatic (bool bStatic)
bool | isStatic () const
virtual bool | acceptAssociationType (Uml::AssociationType::Enum)
void | setSecondaryId (const QString &id)
QString | secondaryId () const
void | setSecondaryFallback (const QString &id)
QString | secondaryFallback () const
QDomElement | save1 (const QString &tag, QDomDocument &qDoc)
bool | isUMLActor ()
bool | isUMLArtifact ()
bool | isUMLAssociation ()
bool | isUMLAttribute ()
bool | isUMLCategory ()
bool | isUMLCheckConstraint ()
bool | isUMLClassifier ()
bool | isUMLComponent ()
bool | isUMLDatatype ()
bool | isUMLEntity ()
bool | isUMLEntityAttribute ()
bool | isUMLEntityConstraint ()
bool | isUMLEnum ()
bool | isUMLEnumLiteral ()
bool | isUMLFolder ()
bool | isUMLForeignKeyConstraint ()
bool | isUMLInstance ()
bool | isUMLInstanceAttribute ()
bool | isUMLNode ()
bool | isUMLObject ()
bool | isUMLOperation ()
bool | isUMLPackage ()
bool | isUMLPort ()
bool | isUMLRole ()
bool | isUMLStereotype ()
bool | isUMLTemplate ()
bool | isUMLUniqueConstraint ()
bool | isUMLUseCase ()
UMLActor * | asUMLActor ()
UMLArtifact * | asUMLArtifact ()
UMLAssociation * | asUMLAssociation ()
UMLAttribute * | asUMLAttribute ()
UMLCanvasObject * | asUMLCanvasObject ()
UMLCategory * | asUMLCategory ()
UMLCheckConstraint * | asUMLCheckConstraint ()
UMLClassifier * | asUMLClassifier ()
UMLClassifierListItem * | asUMLClassifierListItem ()
UMLClassifierSet * | asUMLClassifierSet ()
UMLComponent * | asUMLComponent ()
UMLDatatype * | asUMLDatatype ()
UMLEntity * | asUMLEntity ()
UMLEntityAttribute * | asUMLEntityAttribute ()
UMLEntityConstraint * | asUMLEntityConstraint ()
UMLEnum * | asUMLEnum ()
UMLEnumLiteral * | asUMLEnumLiteral ()
UMLFolder * | asUMLFolder ()
UMLForeignKeyConstraint * | asUMLForeignKeyConstraint ()
UMLInstance * | asUMLInstance ()
UMLInstanceAttribute * | asUMLInstanceAttribute ()
UMLNode * | asUMLNode ()
UMLObject * | asUMLObject ()
UMLOperation * | asUMLOperation ()
UMLPackage * | asUMLPackage ()
UMLPort * | asUMLPort ()
UMLRole * | asUMLRole ()
UMLStereotype * | asUMLStereotype ()
UMLTemplate * | asUMLTemplate ()
UMLUniqueConstraint * | asUMLUniqueConstraint ()
UMLUseCase * | asUMLUseCase ()

## Protected Member Functions
bool | load1 (QDomElement &element)
Protected Member Functions inherited from UMLObject
void | init ()
void | maybeSignalObjectCreated ()

## Additional Inherited Members
Public Types inherited from UMLObject
enum | ObjectType { ot_Unknown = -1, ot_UMLObject = 100, ot_Actor, ot_UseCase, ot_Package, ot_Interface, ot_Datatype, ot_Enum, ot_Class, ot_Instance, ot_Association, ot_Attribute, ot_Operation, ot_EnumLiteral, ot_Template, ot_Component, ot_Artifact, ot_Node, ot_Stereotype, ot_Role, ot_Entity, ot_EntityAttribute, ot_Folder, ot_EntityConstraint, ot_UniqueConstraint, ot_ForeignKeyConstraint, ot_CheckConstraint, ot_Category, ot_Port, ot_InstanceAttribute, ot_SubSystem }
Public Slots inherited from UMLObject
void | emitModified ()
Signals inherited from UMLObject
void | modified ()
Static Public Member Functions inherited from UMLObject
static QString | toString (ObjectType ot)
static QString | toI18nString (ObjectType t)
static Icon_Utils::IconType | toIcon (ObjectType t)
Protected Attributes inherited from UMLObject
Uml::ID::Type | m_nId
| object's id More...
QString | m_Doc
| object's documentation More...
QPointer< UMLStereotype > | m_pStereotype
| stereotype of the object if applicable More...
QString | m_name
| objects name More...
ObjectType | m_BaseType
| objects type More...
Uml::Visibility::Enum | m_visibility
| objects visibility More...
bool | m_bAbstract
| state of whether the object is abstract or not More...
bool | m_bStatic
| flag for instance scope More...
bool | m_bInPaste
| caller sets this true when in paste operation More...
bool | m_bCreationWasSignalled
| auxiliary to maybeSignalObjectCreated() More...
QPointer< UMLObject > | m_pSecondary
QString | m_SecondaryId
QString | m_SecondaryFallback
UMLObjectPrivate * | m_d
| private data More...

## Detailed Description

Sets up template information.

This class holds information used by template classes, called paramaterised class in UML and a generic in Java. It has a type (usually just "class") and name.

Author
  Jonathan Riddell

See also
  UMLObject Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLTemplate() [1/2]

UMLTemplate::UMLTemplate | ( | UMLObject * | parent,
|  | const QString & | name,
|  | Uml::ID::Type | id = `Uml::ID::None`,
|  | const QString & | type = `QLatin1String("class")`
| ) |  |

Sets up a template.

Parameters

  parent | The parent of this UMLTemplate (i.e. its concept).
  name | The name of this UMLTemplate.
  id | The unique id given to this UMLTemplate.
  type | The type of this UMLTemplate.

## ◆ UMLTemplate() [2/2]

UMLTemplate::UMLTemplate | ( | UMLObject * | parent | ) |
| explicit

Sets up a template.

Parameters

  parent | The parent of this UMLTemplate (i.e. its concept).

## ◆ ~UMLTemplate()

UMLTemplate::~UMLTemplate | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ clone()

UMLObject * UMLTemplate::clone | ( |  | ) | const
| virtual

Make a clone of this object.

Implements UMLClassifierListItem.

## ◆ copyInto()

void UMLTemplate::copyInto | ( | UMLObject * | lhs | ) | const
| virtual

Copy the internal presentation of this object into the new object.

Reimplemented from UMLClassifierListItem.

## ◆ getTypeName()

QString UMLTemplate::getTypeName | ( |  | ) | const
| virtual

Overrides method from UMLClassifierListItem. Returns the type name of the UMLTemplate. If the template parameter is a class, there is no separate type object. In this case, getTypeName() returns "class".

Returns
  The type name of the UMLClassifierListItem.

Reimplemented from UMLClassifierListItem.

## ◆ load1()

bool UMLTemplate::load1 | ( | QDomElement & | element | ) |
| protected virtual

Loads the <UML:TemplateParameter> XMI element.

Reimplemented from UMLObject.

## ◆ operator==()

bool UMLTemplate::operator== | ( | const UMLTemplate & | rhs | ) | const

Overloaded '==' operator.

## ◆ saveToXMI1()

void UMLTemplate::saveToXMI1 | ( | QDomDocument & | qDoc,
|  | QDomElement & | qElement
| ) |  |
| virtual

Writes the <UML:TemplateParameter> XMI element.

Reimplemented from UMLObject.

## ◆ showPropertiesDialog()

bool UMLTemplate::showPropertiesDialog | ( | QWidget * | parent | ) |
| virtual

Display the properties configuration dialog for the template.

Returns
  Success status.

Reimplemented from UMLObject.

## ◆ toString()

QString UMLTemplate::toString | ( | Uml::SignatureType::Enum | sig = `Uml::SignatureType::NoSig`,
|  | bool | withStereotype = `false`
| ) |  |
| virtual

Returns a string representation of the list item.

Parameters

  sig | What type of operation string to show.

Returns
  The string representation of the operation.

Reimplemented from UMLClassifierListItem.

The documentation for this class was generated from the following files:

- umbrello/uml1model/template.h
- umbrello/uml1model/template.cpp